module Clerk
  module ID
    def self.[](prefix)
      Module.new do
        extend ActiveSupport::Concern
        included do 
          attribute :id, :string, default: ->{ "#{prefix}_#{KSUID.new}" }
        end
      end
    end  
  end
end