module Clerk
  module Errors
    class ClerkError < StandardError; end

    class ClerkServerError < ClerkError      
      def initialize(message = nil, model = nil)
        @model = model
        super(message)
      end      
    end

    class MethodDisabled < ClerkError
      def initialize(message = nil)
        super(message)
      end
    end
  end
end